Subject: bug#20895: [patch] lexical binding broke part of sgml-mode.el

From: Stephen Berman <[email-masked]>
Date: Thu, 25 Jun 2015 21:28:12 +0200

On Thu, 25 Jun 2015 17:47:01 +0300 Dmitry Gutov <[email-masked]> wrote:

> On 06/25/2015 04:27 PM, Stephen Berman wrote:
>> or just haven't gotten around to implementing it?
>
> That, more or less. And sgml-mode is not a priority for me personally, so if
> someone else takes that up, it would be welcome.

A usable sgml-mode is a priority for me, that's why I tried to fix it,
and for the time being it's good enough for me.  I probably won't be
able to try and implement the better fix in the near future, but will
take a look when I can, INOBMTI (if no one beats me to it).

On Thu, 25 Jun 2015 17:34:31 +0300 Eli Zaretskii <[email-masked]> wrote:

> Whatever comes out of this discussion, would you please consider
> adding a suitable test to sgml-mode-tests.el?  TIA.

I'll try to do this too INOBMTI, though it may take even longer (it will
mean having to learn how to use ERT first).

Steve Berman